import 'package:enx_uikit_flutter/controller/enx_controller.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get_core/src/get_main.dart';
import 'package:get/get_navigation/src/extension_navigation.dart';

Future<dynamic> showSwitchAudioDialog(context, EnxController obj) {
  return showDialog(
      context: context,
      builder: (BuildContext context) {
        return SimpleDialog(children: [
          for (var item in obj.deviceList)
            RadioListTile(
              title: Text(
                item,
                style: TextStyle(
                    color: Colors.black,
                    fontWeight: FontWeight.w800,
                    fontSize: 16.sp),
              ),
              value: true,
              groupValue: item,
              activeColor: Colors.red,
              onChanged: (item) {
                Get.back();
              },
            )
        ]);
      });
}
