import 'dart:convert';

import 'package:enx_uikit_flutter/models/file_share_model.dart';

/// broadcast : true
/// senderId : "dd5f5485-1a20-436e-8818-7e6dee52bc99"
/// sender : "p"
/// type : "chat"
/// message : "H"
/// timestamp : 1647506547257

class ChatModel {
  late bool _broadcast;

  String? _senderId;
  String? _sender;
  String? _type;
  String? _message;
  String? _currentTime;
  bool? _isRecieved;
  Map<dynamic, dynamic> _jsonData={};
  String _fileName="";
  FileShareModel? _fileShareModel=null;
  ChatModel(
    bool broadcast,
    String? senderId,
    String? sender,
    String? type,
    String? message,
    String? currentTime,
    bool? isReceived,
      FileShareModel fileShareModel,fileName,jsonData
  ) {
    _broadcast = broadcast;
    _senderId = senderId;
    _sender = sender;
    _type = type;
    _message = message;
    _currentTime = currentTime;
    _isRecieved = isReceived;
    _fileShareModel=fileShareModel;
    _fileName=fileName;
    _jsonData=jsonData;
  }

  bool get broadcast => _broadcast;
  String? get currentTime => _currentTime;
  String? get message => _message;
  bool? get recieved => _isRecieved;
  String? get sender => _sender;
  String? get senderId => _senderId;
  String? get type => _type;

  FileShareModel? get fileShareModel => _fileShareModel;

  String get fileName => _fileName;

  Map get jsonData => _jsonData;

  set fileName(String value) {
    _fileName = value;
  }


  set message(String? value) {
    _message = value;
  }
}
